import { Location } from '@angular/common';
import { OverlayRef } from '@angular/cdk/overlay';
import { Observable } from 'rxjs';
import { MatSlidePanelContainer } from './mat-slide-panel-container';
export declare class MatSlidePanelRef<T = any, R = any> {
    private _overlayRef;
    instance: T;
    containerInstance: MatSlidePanelContainer;
    disableClose: boolean | undefined;
    private readonly _afterDismissed;
    private readonly _afterOpened;
    private _result;
    private _closeFallbackTimeout;
    constructor(containerInstance: MatSlidePanelContainer, _overlayRef: OverlayRef, _location?: Location);
    dismiss(result?: R): void;
    afterDismissed(): Observable<R | undefined>;
    afterOpened(): Observable<void>;
    backdropClick(): Observable<MouseEvent>;
    keydownEvents(): Observable<KeyboardEvent>;
}
